﻿

'
'  NIST Biometric Clients Lab
'
'  File author(s):
'       Ross J. Micheals (ross.micheals@nist.gov)
'
' •—————————————————————————————————————————————————————————————————————————————————————————————————————•
' | NOTICE & DISCLAIMER                                                                                |
' |                                                                                                     |
' | This software was developed at the National Institute of Standards and Technology (NIST) by         |
' | employees of the Federal Government in the course of their official duties. Pursuant to title 17    |
' | Section 105 of the United States Code. This software is not subject to copyright protection and     |
' | is in the public domain. NIST assumes no responsibility whatsoever for use by other parties of      |
' | its source code or open source server, and makes no guarantees, expressed or implied, about its     |
' | quality, reliability, or any other characteristic.                                                  |
' |                                                                                                     |
' | Specific hardware and software products identified in this open source project were used in order   |
' | to perform technology transfer and collaboration. In no case does such identification imply         |
' | recommendation or endorsement by the National Institute of Standards and Technology, nor            |
' | does it imply that the products and equipment identified are necessarily the best available for the |
' | purpose.                                                                                            |
' •—————————————————————————————————————————————————————————————————————————————————————————————————————•

Option Strict On
Option Infer On

Imports Nist.Bcl.Wsbd.L1

Public Class SensorServiceTemplate
    Inherits SensorService


    Protected Overrides Function CaptureImplementation() As Nist.Bcl.Wsbd.L1.WsbdResult

        ' 1. This call must populate the result with a valid id that the implementation will see later in the download implementation

        ' 2. If a separate download step is required (i.e., getting images off of a digial camera), then this is where it should be kicked off.
        ' This could be done in a blocking fashion, or, a sophisticated server could do this on its own thread, but would have to return 'SensorBusy' for any call that would 
        ' use the sensor. 

    End Function

    Public Overrides Function CommonInfo() As Nist.Bcl.Wsbd.L1.WsbdResult

    End Function

    Protected Overrides Function DetailedInfoImplementation() As Nist.Bcl.Wsbd.L1.WsbdResult

    End Function

    Public Overrides Function DownloadImplementation(ByVal captureId As System.Guid) As Nist.Bcl.Wsbd.L1.WsbdResult

    End Function

    Protected Overrides Function GetConfigurationImplementation() As Nist.Bcl.Wsbd.L1.WsbdResult

    End Function

    Protected Overrides Function InitializeImplementation() As Nist.Bcl.Wsbd.L1.WsbdResult

    End Function

    Protected Overrides Function SetConfigurationImplementation(ByVal configuration As Nist.Bcl.Wsbd.L1.WsbdDictionary) As Nist.Bcl.Wsbd.L1.WsbdResult

    End Function
End Class
